<template>
	<view class="billall">
		<u-cell-group class="toptemplate">
			<u-cell :title="mytitle"  @click="floorchange">
				<u-icon slot="icon" size="40" color="#fff" name="map"></u-icon>
					<u-icon slot="right-icon" size="40" color="#fff" name="search"></u-icon>
			</u-cell>
		</u-cell-group>
		<view class="topbill">
			<view class="topbilledit">
				<!-- <view class="changetime1">
					<picker mode="date" :value="myday" fields="month" @change="dateChange">
						<view class="selestDate">{{myday}}</view>
					</picker>
				</view>
				<view class="changetime2">
					<u-icon name="arrow-down-fill" color="#666666" size="20"></u-icon>
				</view> -->
			</view>
			<view class="topbilledit" @click="typechange">
				<view class="changetime1">
					{{mytype}}
				</view>
				<view class="changetime2">
					<u-icon name="arrow-down-fill" color="#666666" size="20"></u-icon>
				</view>
			</view>
		</view>

		<view class="u-listdata">

			<view style="padding:10rpx 0 0 30rpx">
				共有 <span style="color: red">{{totalnumber}}</span>条记录
			</view>
			<u-list @scrolltolower="scrolltolower" :pagingEnabled='true'>
				<u-list-item v-for="(item, index) in indexList" :key="index">

					<view class="companylist" @click="seedetail(item)">

						<view class="outstanding">
							{{item.type}}
						</view>
						<h3>{{item.tenantInfo.name}}</h3>
						<view class="Currentamount">
							扣缴金额: <span>￥{{item.amount}}</span>
						</view>
						<view class="Currentamount">
							租户电话: {{item.tenantInfo.tel}}
						</view>
						<view class="Currentamount">
							操作人:{{item.createName}}
						</view>
						<view class="Currentamount">
							扣缴时间: {{item.createDate}}
						</view>

					</view>

				</u-list-item>
			</u-list>

		</view>




		<u-picker :show="showtype" :itemHeight="80" :columns="columnstype" keyName="dictLabel" @confirm="confirmtype"
			@cancel='canceltype'></u-picker>


		<u-picker :show="showfloor" :itemHeight="80" ref="uPicker" :loading="loading" @confirm="confirmfloor" @cancel='cancelfloor'
			:columns="columns" keyName="orgName" @change="changeHandler"></u-picker>


		<u-notify ref="uNotify" :show="showdct" message="服务器请求失败"></u-notify>
	</view>
</template>

<script>
	//import { isEmpty, getDictDataList } from "@/utils/index";
	export default {
		components: {

		},
		data() {

			return {
				totalnumber: 0,
				setyesno: true,
				indexList: [],
				dataList: [],
				dataForm: {
					projectId: "",
					buildingId: "",
					storeyId: "",
					type: "",
					tenantId: "",
					page: 1,
					limit: 10,
				},
				pd: true,
				showtype: false,
				showdct: false,
				mytitle: '',
				alldata: [],
				showfloor: false,
				loading: false,
				columns: [],
				columnData: [],
				myday: '',
				mytype: '全部',
				showPicker: false,
				//myday: currentDate,
				columnstype: [

				],
				feiyongtype:[],


			}
		},
		//监听页面加载，其参数为上个页面传递的数据，参数类型为 Object（用于页面传参
		onLoad() {

			let getDictDataList = uni.getStorageSync('getDictDataList');
			// console.log('111111111111111111', getDictDataList)

			for (let i = 0; i < getDictDataList.length; i++) {
				if (getDictDataList[i].dictType == 'PayType') {
					this.columnstype = [getDictDataList[i].dataList]
					this.feiyongtype=getDictDataList[i].dataList;
				}
			}
			console.log('111111111111111111',this.columnstype)

			this.getfloor();
			//	this.loadmore();
		},
		//监听页面初次渲染完成。注意如果渲染速度快，会在页面进入动画完成前触发
		onReady() {
			// 微信小程序需要用此写法

		},

		//监听页面隐藏
		onHide() {},
		//监听窗口尺寸变化
		onResize() {},
		//监听页面卸载
		onUnload() {},
		//监听用户下拉动作，一般用于下拉刷新
		onPullDownRefresh() {},


		methods: {
			seedetail(e) {
				console.log('222', e)
			},

			scrolltolower() {
				if (this.pd) {
					this.getalldata();
				} else {
					return
				}
			},

			getalldata() {
				this.$api.get('/payrecord/page', this.dataForm)
					.then(res => {
						// this.totalnumber=res.data.data.total;
						// this.indexList = [];
						// this.indexList = res.data.data.list;
						this.totalnumber = res.data.data.total;

						function transform(a, b) {
							loop: for (let i = 0; i < a.length; i++) {
								for (let j = 0; j < b.length; j++) {
									if (a[i].type == b[j].dictValue) {
										a[i].type = b[j].dictLabel;
										continue loop;
									}
								}
								a[i].type =  a[i].type;
							}
							return a;
						}
						let chulidata=transform(res.data.data.list, this.feiyongtype)


						if (res.data.data.list.length != 0) {
							this.indexList.push(...chulidata);
							this.dataForm.page = this.dataForm.page + 1;
							this.pd = true;
						} else {
							uni.showToast({
								title: '暂无更多数据了',
								icon: 'none',
								duration: 1500
							})
							this.pd = false;
						}
					})
			},

			canceltype() {
				this.showtype = false;
			},
			confirmtype(e) {
				console.log('111111111111111111', e.value[0])
				this.showtype = false;
				if (e.value[0].dictValue == 'all') {
					this.mytype = e.value[0].dictLabel;
					this.indexList=[];
					this.dataForm.type = '';
					this.dataForm.page = 1;
					this.getalldata();
				} else {
					this.mytype = e.value[0].dictLabel;
					this.dataForm.type = e.value[0].dictValue;
					this.indexList=[];
					this.dataForm.page = 1;
					this.getalldata();
				}

			},
			typechange() {
				this.showtype = true;
			},


			getfloor() {
				this.$api.get('/control/getOrgStructureTree/', {})
					.then(res => {

						if (res.data.code == 0) {
							this.dataForm.projectId = res.data.data[0].orgId;

							this.mytitle = res.data.data[0].orgName;
							this.alldata = res.data.data[0].childrenList;
							//console.log('111111111111111111',  res.data.data[0].childrenList)
							this.columns = [
								res.data.data[0].childrenList,
								res.data.data[0].childrenList[0].childrenList
							]
							let allfloor = [];
							for (let i = 0; i < res.data.data[0].childrenList.length; i++) {
								allfloor.push(res.data.data[0].childrenList[i].childrenList)
							}
							//  console.log('111111111111111111',allfloor)
							this.columnData = allfloor;
							this.indexList=[];
							this.dataForm.page = 1;
							this.getalldata();
						} else {
							this.showdct = true
						}
					})
			},

			floorchange() {
				this.showfloor = true;
			},
			changeHandler(e) {
				const {
					columnIndex,
					index,
					// 微信小程序无法将picker实例传出来，只能通过ref操作
					picker = this.$refs.uPicker
				} = e
				if (columnIndex === 0) {
					this.loading = true
					picker.setColumnValues(1, this.columnData[index])
					this.loading = false
				}
			//	this.getalldata();
			},
			confirmfloor(e) {
				console.log('222222', e.value)
				this.mytitle = e.value[0].orgName + e.value[1].orgName;
				this.dataForm.buildingId = e.value[0].orgId;
				this.dataForm.storeyId = e.value[1].orgId;
				this.showfloor = false;
				this.indexList=[];
					this.dataForm.page = 1;
				this.getalldata();
			},
			cancelfloor() {
				this.showfloor = false;
			},


		}
	}
</script>

<style lang="scss">
	.Currentamount {
		padding-left: 30rpx;
		height: 50rpx;
		line-height: 50rpx;
		color: #BCB3A7;

		span {
			color: #FA5555;
			padding-left: 9rpx;
		}
	}

	.Callfee {
		width: 100rpx;
		height: 45rpx;
		text-align: center;
		line-height: 45rpx;
		color: #5C8FFF;
		border: 1px solid #5C8FFF;
		font-size: 22rpx;
		position: absolute;
		bottom: 10rpx;
		right: 10px;
		font-weight: bold;
	}

	.companylist {
		margin: 20rpx 30rpx;
		background: #fff;
		height: 280rpx;
		border-radius: 10px;
		position: relative;

		h3 {
			height: 70rpx;
			line-height: 70rpx;
			padding-left: 30rpx;
		}
	}

	.settled {
		background-color: #09C700;
		width: 100rpx;
		height: 40rpx;
		text-align: center;
		line-height: 40rpx;
		color: #fff;
		font-size: 14rpx;
		position: absolute;
		top: 0px;
		right: 0px;
		border-top-right-radius: 10rpx;
		border-bottom-left-radius: 10rpx;
	}

	.outstanding {
		background-color: #30D3A2;
		width: 100rpx;
		height: 40rpx;
		text-align: center;
		line-height: 40rpx;
		color: #fff;
		font-size: 14rpx;
		position: absolute;
		top: 0px;
		right: 0px;
		border-top-right-radius: 10rpx;
		border-bottom-left-radius: 10rpx;
	}



	.billall {}

	.topbill {
		display: flex;
		justify-content: center;
		align-items: center;
		height: 100rpx;
		background-color: #e6e6e6;
	}

	.topbilledit {
		display: flex;
		justify-content: space-around;
		align-items: center;
	}

	.changetime1 {
		padding-right: 10rpx;
	}
</style>
